| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::WindowEventListener Class Reference
Core » RenderSystem

`#include <OgreWindowEventUtilities.h>`

Inheritance diagram for Ogre::WindowEventListener:
[legend]

## Public Member Functions
virtual | ~WindowEventListener ()
virtual void | windowClosed (RenderWindow *rw)
virtual bool | windowClosing (RenderWindow *rw)
virtual void | windowFocusChange (RenderWindow *rw)
virtual void | windowMoved (RenderWindow *rw)
virtual void | windowResized (RenderWindow *rw)

## Detailed Description

Remarks
  Callback class used to send out window events to client app

## Constructor & Destructor Documentation

## ◆ ~WindowEventListener()

virtual Ogre::WindowEventListener::~WindowEventListener | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ windowMoved()

virtual void Ogre::WindowEventListener::windowMoved | ( | RenderWindow * | rw | ) |
| inline virtual

Remarks
  Window has moved position

Parameters

  rw | The RenderWindow which created this events

Reimplemented in OgreBites::ApplicationContext.

## ◆ windowResized()

virtual void Ogre::WindowEventListener::windowResized | ( | RenderWindow * | rw | ) |
| inline virtual

Remarks
  Window has resized

Parameters

  rw | The RenderWindow which created this events

Reimplemented in OgreBites::ApplicationContext.

## ◆ windowClosing()

virtual bool Ogre::WindowEventListener::windowClosing | ( | RenderWindow * | rw | ) |
| inline virtual

Remarks
  Window is closing (Only triggered if user pressed the [X] button)

Parameters

  rw | The RenderWindow which created this events

Returns
  True will close the window(default).

Reimplemented in OgreBites::ApplicationContext.

## ◆ windowClosed()

virtual void Ogre::WindowEventListener::windowClosed | ( | RenderWindow * | rw | ) |
| inline virtual

Remarks
  Window has been closed (Only triggered if user pressed the [X] button)

Parameters

  rw | The RenderWindow which created this events

Note
  The window has not actually close yet when this event triggers. It's only closed after all windowClosed events are triggered. This allows apps to deinitialise properly if they have services that needs the window to exist when deinitialising.

Reimplemented in OgreBites::ApplicationContext.

## ◆ windowFocusChange()

virtual void Ogre::WindowEventListener::windowFocusChange | ( | RenderWindow * | rw | ) |
| inline virtual

Remarks
  Window has lost/gained focus

Parameters

  rw | The RenderWindow which created this events

Reimplemented in OgreBites::ApplicationContext.

The documentation for this class was generated from the following file:

- OgreWindowEventUtilities.h